Subject: bug#43830: keyboard layout handling incompatible with rest of the OS

From: Juri Linkov <[email-masked]>
Date: Sun, 01 Nov 2020 09:48:56 +0200

> By the way, what I forgot to mention, is that Emacs input modes
> perform exactly like I want (i.e. bind to physical keys, so that C-.
> in Russian works as C-/ in English; also e.g. C-ч й is translated to
> C-x q, so even non-modified characters inside bindings work), but
> they have the advantage of knowing the layout, of course.

Could you please give an example how you bind such key sequences as
'C-.' and 'C-ч й' in Emacs input modes?  How they do translation
to physical keys without using xkb?